<plugin>
  <name>mulaw</name>
  <description>MuLaw audio conversion routines</description>
  <filename>../../gst/law/.libs/libgstmulaw.so</filename>
  <basename>libgstmulaw.so</basename>
  <version>1.4.0</version>
  <license>LGPL</license>
  <source>gst-plugins-good</source>
  <package>GStreamer Good Plug-ins source release</package>
  <origin>Unknown package origin</origin>
  <elements>
    <element>
      <name>mulawdec</name>
      <longname>Mu Law audio decoder</longname>
      <class>Codec/Decoder/Audio</class>
      <description>Convert 8bit mu law to 16bit PCM</description>
      <author>Zaheer Abbas Merali &lt;zaheerabbas at merali dot org&gt;</author>
      <pads>
        <caps>
          <name>sink</name>
          <direction>sink</direction>
          <presence>always</presence>
          <details>audio/x-mulaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]</details>
        </caps>
        <caps>
          <name>src</name>
          <direction>source</direction>
          <presence>always</presence>
          <details>audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]</details>
        </caps>
      </pads>
    </element>
    <element>
      <name>mulawenc</name>
      <longname>Mu Law audio encoder</longname>
      <class>Codec/Encoder/Audio</class>
      <description>Convert 16bit PCM to 8bit mu law</description>
      <author>Zaheer Abbas Merali &lt;zaheerabbas at merali dot org&gt;</author>
      <pads>
        <caps>
          <name>sink</name>
          <direction>sink</direction>
          <presence>always</presence>
          <details>audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]</details>
        </caps>
        <caps>
          <name>src</name>
          <direction>source</direction>
          <presence>always</presence>
          <details>audio/x-mulaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]</details>
        </caps>
      </pads>
    </element>
  </elements>
</plugin>